> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assistant Events

> Implement a handler for this webhook to get information about Assistant events during a Call (e.g., Assistant activation).



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /webhookhandler/assistant
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /webhookhandler/assistant:
    post:
      tags:
        - Webhook Handlers
      summary: Assistant Events
      description: >-
        Implement a handler for this webhook to get information about Assistant
        events during a Call (e.g., Assistant activation).
      operationId: assistantWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantActivationWebhook'
      responses:
        '200':
          description: Indicates the callback was recieved successfully
        default:
          description: >-
            All other response codes will trigger a retry up to the maximum
            number of retries.
components:
  schemas:
    AssistantActivationWebhook:
      type: object
      description: Assistant Activation webhook payload
      properties:
        callId:
          type: string
          description: GUID Representing Call ID
        assistantId:
          type: integer
          format: int64
          description: ID of the Assistant was activated
        assistantName:
          type: string
          description: Name of the Assistant was activated
        assistantActivationExplanation:
          type: string
          description: Explanation of why the Assistant was activated

````